# onPauseEnded

Field in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

A Unity Event that is called when a pause inside of the typewriter effect finishes and the typewriter has started once again.

```csharp
public UnityEngine.Events.UnityEvent onPauseEnded;
```

## Remarks

This event is only invoked when [useTypewriterEffect](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usetypewritereffect.md) is `true` .

## See Also

* [LineView.useTypewriterEffect](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usetypewritereffect.md): Controls whether the text of [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) should be gradually revealed over time.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.onpauseended.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
